/*
 * Copyright 2012 the hegemon authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.cueup.hegemon;

/**
 * Interface for a class that can locate scripts.
 */
public abstract class ScriptLocator {
  /**
   * Returns the contents of the file with the given name.
   * @param name the file to load.
   * @return the String contents.
   * @throws LoadError if the file can't be found.
   */
  public abstract String getFile(String name) throws LoadError;
}
